//
//  ActiveTaskManager.swift
//  RK-Journals
//
//  Created by Juan David López Regalado on 21/11/24.
//

import Foundation
import ResearchKit
import ResearchKitUI
import ResearchKitActiveTask
import ResearchKitActiveTask_Private


class ActiveTaskManager {
    static let shared = ActiveTaskManager()
    
    func createActiveTasks() -> ORKOrderedTask {
        
        let hanoitext = ORKInstructionStep(identifier: "towerOfHanoiInstructions")
        hanoitext.title = "Torre de Hanoi"
        hanoitext.iconImage = UIImage(systemName: "triangle")
        hanoitext.detailText = "Transfiere los discos de la barra inicial a la barra final, siguiendo estas reglas:\n\n1. Solo puedes mover un disco a la vez.\n\n2. No puedes colocar un disco grande encima de uno más pequeño."

       
        
        let towerOfHanoiStep = ORKTowerOfHanoiStep(identifier: "towerOfHanoiStep")
        towerOfHanoiStep.numberOfDisks = 3
           
        let trailMakingStep = ORKTrailmakingStep(identifier: "trail")

        let memoryStep = ORKSpatialSpanMemoryStep(identifier: "memory")
            memoryStep.title = "Memoria Visual"
            memoryStep.text = "Recuerda el patrón que aparece en la pantalla."
            memoryStep.initialSpan = 2
            memoryStep.minimumSpan = 2
            memoryStep.maximumSpan = 5
            memoryStep.playSpeed = 1
            memoryStep.maximumTests = 5
            memoryStep.maximumConsecutiveFailures = 1
        
        let tappingStep = ORKTappingIntervalStep(identifier: "tapping")
        tappingStep.title = "Prueba de tapping"
        tappingStep.text = "Toca repetidamente en las áreas designadas lo más rápido posible durante 10 segundos."
        tappingStep.stepDuration = 10 // Duración en segundos
        
        return ORKOrderedTask(identifier: "activeTasks", steps: [hanoitext, towerOfHanoiStep])
       }
   }
